STRUCT SOCK_COMMON(9)

NAME
struct sock_common - minimal network layer representation of sockets

SYNOPSIS
struct sock_common {
  unsigned short skc_family;
  volatile unsigned char skc_state;
  unsigned char skc_reuse;
  int skc_bound_dev_if;
  struct hlist_node skc_node;
  struct hlist_node skc_bind_node;
  atomic_t skc_refcnt;
  unsigned int skc_hash;
  struct proto * skc_prot;
};

MEMBERS

skc_family
    network address family

skc_state
    Connection state

skc_reuse
     SO_REUSEADDR setting

skc_bound_dev_if
    bound device index if != 0

skc_node
    main hash linkage for various protocol lookup tables

skc_bind_node
    bind hash linkage for various protocol lookup tables

skc_refcnt
    reference count

skc_hash
    hash value used with various protocol lookup tables

skc_prot
    protocol handlers inside a network family

DESCRIPTION

This is the minimal network layer representation of sockets, the header for struct sock and struct inet_timewait_sock.